Bug Hunting Session
Bug 125741 - Crash: swlo!SwFrame::PrepareCursor
Summary: Crash: swlo!SwFrame::PrepareCursor
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: haveBacktrace
Depends on:
Blocks: tdf#114306-regressions
  Show dependency treegraph
 
Reported: 2019-06-06 12:42 UTC by Telesto
Modified: 2019-06-25 10:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (18.02 KB, application/vnd.oasis.opendocument.text)
2019-06-06 12:43 UTC, Telesto
Details
Screencast (2.42 MB, video/mp4)
2019-06-06 12:45 UTC, Telesto
Details
BT without symbols (4.48 KB, text/plain)
2019-06-06 12:45 UTC, Telesto
Details
gdb bt (145.04 KB, text/plain)
2019-06-06 19:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-06 12:42:52 UTC
Description:
Crash: swlo!SwFrame::PrepareCursor

Steps to Reproduce:
1. Open the attached file
2. CTRL+A & CTRL+C
3. CTRL+N & CTRL+V
4. Place the cursor at the beginning of XXX highlighted purple
5. CTRL+V -> Crash

Use a build current build (so of today 06-06-2019)

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: it-IT (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-06 12:43:11 UTC
Created attachment 151968 [details]
Example file
Comment 2 Telesto 2019-06-06 12:45:11 UTC
Created attachment 151969 [details]
Screencast
Comment 3 Telesto 2019-06-06 12:45:52 UTC
Created attachment 151970 [details]
BT without symbols
Comment 4 Telesto 2019-06-06 12:50:05 UTC
Possible step 6
Scroll up/down using the scroll wheel after step 5
Comment 5 Xisco Faulí 2019-06-06 16:05:38 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 7665246ac8addc002f74e3a9b22d1baeda448af3
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and back to https://cgit.freedesktop.org/libreoffice/core/commit/?id=e37ffdd118da2d21c5e78e8c7b67252d0d1adc8c when the purple highlight started to be visible...

@Michael Stahl, I thought you might be interested in this issue...
Comment 6 Julien Nabet 2019-06-06 19:27:50 UTC
Created attachment 151996 [details]
gdb bt

On pc Debian x86-64 with master sources (enable-dbgutil + gtk3) updated today (1d959beba1cfef5fde035a4a74ee4611e7a04869), I could reproduce this.

I attached the console logs + bt with symbols.
Comment 7 Commit Notification 2019-06-24 09:45:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a23661bfe02d81bd9c1f1e04c59384d19cc61726%5E%21

tdf#125741 sw: avoid joining table frames in SwFrame::PrepareCursor()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Michael Stahl (CIB) 2019-06-24 11:47:32 UTC
this doesn't happen if i revert usual suspect commit 18765b9fa739337d2d891513f6e2fb7c3ce23b50

fixed on master
Comment 9 Commit Notification 2019-06-24 13:18:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/77489dbed74b4e1260024cec0c4f01db8781cf93%5E%21

tdf#125741 sw: avoid joining table frames in SwFrame::PrepareCursor()

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-06-24 14:16:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/1914932e2fd0598508823464765f3b1ac31236a1%5E%21

tdf#125741 sw: avoid joining table frames in SwFrame::PrepareCursor()

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-06-25 08:53:57 UTC
(In reply to Michael Stahl (CIB) from comment #8)
> this doesn't happen if i revert usual suspect commit
> 18765b9fa739337d2d891513f6e2fb7c3ce23b50
> 
> fixed on master

Let's remove it from the metabug then...
Comment 12 Xisco Faulí 2019-06-25 09:01:18 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!